import java.io.*;
import java.lang.*;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

public class NavigFen extends JFrame{
  private JTextField entree1, entree2, entree3, entree4, entree5, entree6, entree7, entree8,nseo1,nseo2,nseo3,nseo4;
  private JEditorPane result, result100;
  public NavigFen(){
    super();
    build();
  }
  
  private void build(){
    setTitle("Calcul de cap, de la distance loxodromique et orthodromique entre A et B"); 
    setSize(640,580); 
    setLocationRelativeTo(null);
    setResizable(false);
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); 
    setContentPane(mettreContenu());
  }

  private JPanel mettreContenu(){
    Border raisedbevel, loweredbevel;
    raisedbevel = BorderFactory.createRaisedBevelBorder();
    loweredbevel = BorderFactory.createLoweredBevelBorder();
 /*   Color MyColor = new Color(250,250,0,50);*/
    Color MyColor = new Color(250,250,0,20);
    Color MyColor1 = new Color(250,250,0,50);
    JPanel panel = new JPanel();
    panel.setLayout(new FlowLayout());

    result100 = new JEditorPane();
    result100.setPreferredSize(new Dimension(600,70));
    result100.setFont(new Font("Helvetica",Font.BOLD,14));
    result100.setBackground(MyColor);
    result100.setForeground(Color.LIGHT_GRAY);
 /*   JScrollBar scrollBar = new JScrollBar();*/
    result100.setEditable(false);
    JScrollPane zoneScrolable100=new JScrollPane(result100);
    zoneScrolable100.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(zoneScrolable100);
    JLabel labelblanc40 = new JLabel("",SwingConstants.CENTER);
    labelblanc40.setPreferredSize(new Dimension(640,20));
    labelblanc40.setFont(new Font("Courier",Font.BOLD,14));
    panel.add(labelblanc40); 
  
/*    JLabel label1 = new JLabel("Longitude A: ");
    label1.setFont(new Font("Courier",Font.BOLD,14));
    panel.add(label1);*/
    JTextField label1 = new JTextField("Longitude A: ");
    label1.setBackground(MyColor1);
    label1.setPreferredSize(new Dimension(120,25));
    label1.setFont(new Font("Helvetica",Font.BOLD,14));
    label1.setEditable(false);
    panel.add(label1);


    entree1 = new JTextField("0");
    entree1.setPreferredSize(new Dimension(60,25));
    entree1.setFont(new Font("Helvetica",Font.BOLD,14));
    entree1.setBackground(Color.YELLOW.brighter());
    entree1.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree1);
    JLabel label11 = new JLabel("degres  ");
    label11.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label11);
    
    entree2 = new JTextField("0.0");
    entree2.setPreferredSize(new Dimension(60,25));
    entree2.setFont(new Font("Helvetica",Font.BOLD,14));
    entree2.setBackground(Color.YELLOW.brighter());
    entree2.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree2);
    JLabel label12 = new JLabel("minutes ");
    label12.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label12);

    nseo1 = new JTextField("E");
    nseo1.setPreferredSize(new Dimension(25,25));
    nseo1.setFont(new Font("Helvetica",Font.BOLD,14));
    nseo1.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    nseo1.setBackground(Color.YELLOW.brighter());
    panel.add(nseo1); 
    JLabel label111 = new JLabel("(E)(W)                ");
    label111.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label111);

    JLabel labeline1 = new JLabel("");
    labeline1.setPreferredSize(new Dimension(640,1));
    labeline1.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(labeline1);

    JTextField label2 = new JTextField("Latitude  A: ");
    label2.setBackground(MyColor);    
    label2.setPreferredSize(new Dimension(120,25));
    label2.setFont(new Font("Helvetica",Font.BOLD,14));
    label2.setEditable(false);    
    panel.add(label2);
    
    entree3 = new JTextField("0");
    entree3.setPreferredSize(new Dimension(60,25));
    entree3.setFont(new Font("Helvetica",Font.BOLD,14));
    entree3.setBackground(Color.ORANGE);
    entree3.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree3);
    JLabel label21 = new JLabel("degres  ");
    label21.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label21);
   
    entree4 = new JTextField("0.0");
    entree4.setPreferredSize(new Dimension(60,25));
    entree4.setFont(new Font("Helvetica",Font.BOLD,14));
    entree4.setBackground(Color.ORANGE);    
    entree4.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree4);
    JLabel label22 = new JLabel("minutes ");
    label22.setFont(new Font("Hevetica",Font.BOLD,12));
    panel.add(label22);

    nseo2 = new JTextField("N");
    nseo2.setPreferredSize(new Dimension(25,25));
    nseo2.setFont(new Font("Helvetica",Font.BOLD,14));
    nseo2.setBackground(Color.ORANGE);    
    nseo2.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(nseo2);
 
    JLabel label112 = new JLabel("(N)(S)                ");
    label112.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label112);

    JLabel labelblanc2 = new JLabel("",SwingConstants.CENTER);
    labelblanc2.setPreferredSize(new Dimension(640,40));
    labelblanc2.setFont(new Font("Courier",Font.BOLD,20));
    panel.add(labelblanc2);

    JTextField label3 = new JTextField("Longitude B: "); 
    label3.setBackground(MyColor1);   
    label3.setPreferredSize(new Dimension(120,25));
    label3.setFont(new Font("Helvetica",Font.BOLD,14));
    label3.setEditable(false); 
/*    JLabel label3 = new JLabel("Longitude B: ");*/
/*   label3.setFont(new Font("Courier",Font.BOLD,14));*/
 /*   label1.setPreferredSize(new Dimension(640,16));*/
    panel.add(label3);
    
    entree5 = new JTextField("0");
    entree5.setPreferredSize(new Dimension(60,25));
    entree5.setFont(new Font("Helvetica",Font.BOLD,14));
    entree5.setBackground(Color.YELLOW.brighter());
    entree5.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree5);
    JLabel label31 = new JLabel("degres  ");
    label31.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label31);
    
    entree6 = new JTextField("0.0");
    entree6.setPreferredSize(new Dimension(60,25));
    entree6.setFont(new Font("Helvetica",Font.BOLD,14));
    entree6.setBackground(Color.YELLOW.brighter());
    entree6.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree6);
    JLabel label32 = new JLabel("minutes ");
    label32.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label32);

    nseo3 = new JTextField("E");
    nseo3.setPreferredSize(new Dimension(25,25));
    nseo3.setFont(new Font("Helvetica",Font.BOLD,14));
    nseo3.setBackground(Color.YELLOW.brighter());
    nseo3.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(nseo3);
 
    JLabel label121 = new JLabel("(E)(W)                ");
    label121.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label121);

    JLabel labeline2 = new JLabel("");
    labeline2.setPreferredSize(new Dimension(640,1));
    labeline2.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(labeline2);

    JTextField label4 = new JTextField("Latitude  B: ");
    label4.setBackground(MyColor);   
    label4.setPreferredSize(new Dimension(120,25));
    label4.setFont(new Font("Helvetica",Font.BOLD,14));
    label4.setEditable(false); 
    panel.add(label4);
    
    entree7 = new JTextField("0");
    entree7.setPreferredSize(new Dimension(60,25));
    entree7.setFont(new Font("Helvetica",Font.BOLD,14));
    entree7.setBackground(Color.ORANGE); 
    entree7.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree7);
    JLabel label41 = new JLabel("degres  ");
    label41.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label41);
   
    entree8 = new JTextField("0.0");
    entree8.setPreferredSize(new Dimension(60,25));
    entree8.setFont(new Font("Helvetica",Font.BOLD,14));
    entree8.setBackground(Color.ORANGE);
    entree8.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree8);
    JLabel label42 = new JLabel("minutes ");
    label42.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label42);

    nseo4 = new JTextField("N");
    nseo4.setPreferredSize(new Dimension(25,25));
    nseo4.setFont(new Font("Helvetica",Font.BOLD,14));
    nseo4.setBackground(Color.ORANGE);
    nseo4.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(nseo4);
 
    JLabel label122 = new JLabel("(N)(S)                ");
    label122.setFont(new Font("Helvetica",Font.BOLD,12));
    panel.add(label122);

    JLabel labelblanc0 = new JLabel("");
    labelblanc0.setPreferredSize(new Dimension(640,20));
    panel.add(labelblanc0);

    result = new JEditorPane();
    result.setPreferredSize(new Dimension(600,140));
    result.setFont(new Font("Helvetica",Font.BOLD,14));
/*    result.setBackground(MyColor);*/
    JScrollBar scrollBar = new JScrollBar();
    result.setEditable(false);
    JScrollPane zoneScrolable=new JScrollPane(result);
    zoneScrolable.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(zoneScrolable);

    JLabel labelblanc = new JLabel("");
    labelblanc.setPreferredSize(new Dimension(640,20));
    panel.add(labelblanc);

    JButton analyse = new JButton(new NavigAction(this,"mesurer"));
    analyse.setFont(new Font("Helvetica",Font.BOLD,18));
    analyse.setBackground(Color.RED);
    panel.add(analyse);

    return panel;
  }
   
  public JTextField getentree1(){
    return entree1;
  }
  public JTextField getentree2(){
    return entree2;
  }
  public JTextField getentree3(){
    return entree3;
  }
  public JTextField getentree4(){
    return entree4;
  }
  public JTextField getentree5(){
    return entree5;
  }
  public JTextField getentree6(){
    return entree6;
  }
  public JTextField getentree7(){
    return entree7;
  }
  public JTextField getentree8(){
    return entree8;
  }
  public JTextField getnseo1(){
    return nseo1;
  }
  public JTextField getnseo2(){
    return nseo2;
  }
  public JTextField getnseo3(){
    return nseo3;
  }
  public JTextField getnseo4(){
    return nseo4;
  }
  public JEditorPane getresultat(){
    return result;
  }
  public JEditorPane getresultat100(){
    return result100;
  }	
}



